Fax Settings
All operations require authentication.
List fax servicesProduction
List fax services. Returns the service names of the fax services of the billing account. Get a fax service for its type, offers and notification settings.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ fax \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a fax serviceProduction
Get a fax service. Returns the fax service: type, offers, description and diagnostic notification settings.
Path parameters
The name of your billingAccount
Response
Send notifications about Line's diagnosticReports
All existing types
aliaslineExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ fax/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "notifications": { "logs": { "email": "string", "frequency": "Never", "sendIfNull": true } }, "offers": [ "string" ], "serviceName": "string", "serviceType": "alias"}
Update a fax serviceProduction
Update a fax service. Updates the description and the diagnostic notification settings of the fax service.
Path parameters
The name of your billingAccount
Request body (required)
Send notifications about Line's diagnosticReports
All existing types
aliaslineResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ fax/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"List campaignsProduction
List campaigns. Returns the identifiers of the fax campaigns of the service. Get a campaign for its status, dates and counters.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ fax/ {serviceName}/ campaigns \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a campaignProduction
Get a campaign. Returns the campaign: name, reference, status, dates, and the number of faxes sent, successful and failed.
Path parameters
The name of your billingAccount
Id of the object
Response
The count of failed faxes in the campaign
The count of success faxes in the campaign
The total count of faxes in the campaign
The end date of the fax campaign
The start date of the fax campaign
The id of the fax campaign
The name of the fax campaign
The reference of the fax campaign
The status of the fax campaign
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ fax/ {serviceName}/ campaigns/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "countFailed": 0, "countSuccess": 0, "countTotal": 0, "dateEnd": "2024-01-01T12:00:00Z", "dateStart": "2024-01-01T12:00:00Z", "id": 0, "name": "string", "reference": "string", "status": "string"}
Create a campaignProduction
Create a campaign. Creates a campaign that sends a PDF document to a list of numbers or to the numbers of a document. The campaign is sent manually, automatically or at a scheduled date.
Path parameters
The name of your billingAccount
Request body (required)
The id of the /me/document pdf you want to send
The quality of the fax you want to send
besthighnormalThe name of the fax campaign
If recipientsType is set to document, the id of the document containing the recipients phone numbers
If recipientsType is set to list, the list of recipients phone numbers
Method to set the campaign recipient
documentlistSending date of the campaign (when sendType is scheduled)
Sending type of the campaign
automaticmanualscheduledResponse
The count of failed faxes in the campaign
The count of success faxes in the campaign
The total count of faxes in the campaign
The end date of the fax campaign
The start date of the fax campaign
The id of the fax campaign
The name of the fax campaign
The reference of the fax campaign
The status of the fax campaign
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ fax/ {serviceName}/ campaigns \
-H "authorization: Bearer $OVH_TOKEN"{ "countFailed": 0, "countSuccess": 0, "countTotal": 0, "dateEnd": "2024-01-01T12:00:00Z", "dateStart": "2024-01-01T12:00:00Z", "id": 0, "name": "string", "reference": "string", "status": "string"}
Delete a campaignProduction
Delete a campaign. Deletes the fax campaign from the fax service. The campaign no longer appears in the list of campaigns.
Path parameters
The name of your billingAccount
Id of the object
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ fax/ {serviceName}/ campaigns/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Get campaign recipients by statusProduction
Get campaign recipients by status. Returns the recipient numbers of the campaign, grouped by status: to do, successful and failed.
Path parameters
The name of your billingAccount
Id of the object
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ fax/ {serviceName}/ campaigns/ {id}/ detail \
-H "authorization: Bearer $OVH_TOKEN"{ "failed": [ "string" ], "success": [ "string" ], "todo": [ "string" ]}
Start a campaignProduction
Start a campaign. Starts sending the campaign to its recipients. Follow the progress with the success and failure counters of the campaign.
Path parameters
The name of your billingAccount
Id of the object
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ fax/ {serviceName}/ campaigns/ {id}/ start \
-H "authorization: Bearer $OVH_TOKEN"Stop a campaignProduction
Stop a campaign. Stops sending the campaign to its recipients. The success and failure counters of the campaign show the faxes sent before the stop.
Path parameters
The name of your billingAccount
Id of the object
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ fax/ {serviceName}/ campaigns/ {id}/ stop \
-H "authorization: Bearer $OVH_TOKEN"Get the screen listsProduction
Get the screen lists. Returns the numbers and logins (TSI) allowed or blocked from sending faxes to the service, and which list is active.
Path parameters
The name of your billingAccount
Response
List of numbers not allowed to send a fax
List of logins (TSI or ID) not allowed to send a fax
Number of the fax service
Country code of the fax service
Which list is active (blackist, whitelist or none)
blacklistnowhitelistList of numbers allowed to send a fax
List of logins (TSI or ID) allowed to send a fax
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ fax/ {serviceName}/ screenLists \
-H "authorization: Bearer $OVH_TOKEN"{ "blacklistedNumbers": [ "string" ], "blacklistedTSI": [ "string" ], "callNumber": "string", "countryCode": "string", "filteringList": "", "serviceName": "string", "whitelistedNumbers": [ "string" ], "whitelistedTSI": [ "string" ]}
Create the screen listsProduction
Create the screen lists. Creates the screen lists of the fax service. The active list is whitelist, blacklist or none.
Path parameters
The name of your billingAccount
Request body (required)
List of numbers not allowed to send a fax
List of logins (TSI or ID) not allowed to send a fax
Which list is active (blackist, whitelist or none)
blacklistnowhitelistList of numbers allowed to send a fax
List of logins (TSI or ID) allowed to send a fax
Response
List of numbers not allowed to send a fax
List of logins (TSI or ID) not allowed to send a fax
Number of the fax service
Country code of the fax service
Which list is active (blackist, whitelist or none)
blacklistnowhitelistList of numbers allowed to send a fax
List of logins (TSI or ID) allowed to send a fax
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ fax/ {serviceName}/ screenLists \
-H "authorization: Bearer $OVH_TOKEN"{ "blacklistedNumbers": [ "string" ], "blacklistedTSI": [ "string" ], "callNumber": "string", "countryCode": "string", "filteringList": "", "serviceName": "string", "whitelistedNumbers": [ "string" ], "whitelistedTSI": [ "string" ]}
Delete the screen listsProduction
Delete the screen lists. Deletes all screen lists of the fax service: allowed and blocked numbers and logins (TSI).
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ fax/ {serviceName}/ screenLists \
-H "authorization: Bearer $OVH_TOKEN"Update the screen listsProduction
Update the screen lists. Updates the allowed and blocked numbers and logins (TSI). The active list is chosen when the screen lists are created.
Path parameters
The name of your billingAccount
Request body (required)
List of numbers not allowed to send a fax
List of logins (TSI or ID) not allowed to send a fax
Number of the fax service
Country code of the fax service
Which list is active (blackist, whitelist or none)
blacklistnowhitelistList of numbers allowed to send a fax
List of logins (TSI or ID) allowed to send a fax
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ fax/ {serviceName}/ screenLists \
-H "authorization: Bearer $OVH_TOKEN"Reset the screen listsProduction
Reset the screen lists. Empties the selected screen lists: allowed or blocked numbers, allowed or blocked logins.
Path parameters
The name of your billingAccount
Request body (required)
List of black numbers
List of black login (TSI or ID)
List of white numbers
List of white login (TSI or ID)
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ fax/ {serviceName}/ screenLists/ reset \
-H "authorization: Bearer $OVH_TOKEN"Get the settingsProduction
Get the settings. Returns the fax settings: sender, quality, number of sending tries, email delivery and rejection of anonymous faxes.
Path parameters
The name of your billingAccount
Response
Number of tries when sending a fax
123456789Available quality for fax documents
besthighnormalFormat of the notification mail. "html" will include a preview image of the fax
htmltextExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ fax/ {serviceName}/ settings \
-H "authorization: Bearer $OVH_TOKEN"{ "callNumber": "string", "countryCode": "string", "faxMaxCall": 1, "faxQuality": "best", "faxTagLine": "string", "fromEmail": "string", "fromName": "string", "mailFormat": "html", "receiver": "string", "redirectionEmail": [ "string" ], "rejectAnonymous": true, "sender": "string"}
Update the settingsProduction
Update the settings. Updates the fax settings: sender, receiver, quality, number of sending tries (1 to 9), tag line, email delivery and rejection of anonymous faxes.
Path parameters
The name of your billingAccount
Request body (required)
Number of tries when sending a fax
123456789Available quality for fax documents
besthighnormalFormat of the notification mail. "html" will include a preview image of the fax
htmltextResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ fax/ {serviceName}/ settings \
-H "authorization: Bearer $OVH_TOKEN"Change the passwordProduction
Change the password. Sets a new password for the fax account. Without a password, a random one is generated and returned.
Path parameters
The name of your billingAccount
Request body (required)
The password, if not specified, a random password will be generated
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ fax/ {serviceName}/ settings/ changePassword \
-H "authorization: Bearer $OVH_TOKEN""string"
Send a faxProduction
Send a fax. Sends a PDF document from a URL to one or more recipients, now or at a scheduled date. Returns the task that tracks the sending.
Path parameters
The name of your billingAccount
Request body (required)
If you want to schedule your fax later, you can specify a date
Url of the pdf document you want to send
List of recipients of your fax
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ fax/ {serviceName}/ settings/ sendFax \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}